{
  "Logging": {
    "LogLevel": {
      "Default": "Debug",
      "Microsoft.AspNetCore": "Warning"
    }
  },
  "App": {
    "SelfUrl": "http://*:19001",
    "CorsOrigins": "http://localhost:19001;http://localhost:18000"
  },
  "DbList": [
    "Sqlite",
    "Mysql",
    "Sqlserver",
    "Oracle",
    "Postgresql"
  ],
  "DbConnOptions": {
    "Url": "DataSource=np-dev.db",
    "DbType": "Sqlite",
    "EnabledReadWrite": false,
    "EnabledCodeFirst": true,
    "EnabledSqlLog": true,
    "EnabledDbSeed": true,
    "EnabledSaasMultiTenancy": false
  },
  "Redis": {
    "IsEnabled": false,
    "Configuration": "192.168.1.100:6379,password=,defaultDatabase=10"
  },
  "JwtOptions": {
    "Issuer": "NoahLan",
    "Audience": "NoahLan",
    "SecurityKey": "zqxwcevrbtnymu312412ihe9rfwhe78rh23djoi32hrui3ryf9e8wfh34iuj54y0934uti4h97fgw7hf97wyh8yy69520",
    "ExpiresMinuteTime": 86400
  },
  "RefreshJwtOptions": {
    "Issuer": "NoahLan",
    "Audience": "NoahLan",
    "SecurityKey": "67ij4o6jo4i5j6io45j6i4j74p5k6i54ojoi5t9g8ergoj34ofgkrtbmreog894jbioemgropihj48rj4io5juopjgior",
    "ExpiresMinuteTime": 172800
  },
  "OAuth": {
    "QQ": {
      "ClientId": "",
      "ClientSecret": "",
      "RedirectUri": ""
    },
    "Gitee": {
      "ClientId": "",
      "ClientSecret": "",
      "RedirectUri": ""
    }
  },
  "RbacOptions": {
    //超级管理员种子数据默认密码
    "AdminPassword": "123456",
    //是否开启验证码验证
    "EnableCaptcha": true,
    //是否开启注册功能
    "EnableRegister": false,
    //开启定时数据库备份
    "EnableDataBaseBackup": false
  }
}
